SDL_GetEnvironmentVariables(3)

NAME
SDL_GetEnvironmentVariables - Get all variables in the environment.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

char ** SDL_GetEnvironmentVariables(SDL_Environment *env);

FUNCTION PARAMETERS

env the environment to query.

RETURN VALUE
(char ) Returns a NULL terminated array of pointers to environment variables in the form "variable=value" or NULL on failure; call

SDL_GetError () for more information. This is a single allocation that should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetEnvironment(3), •(3), SDL_CreateEnvironment(3), •(3), SDL_GetEnvironmentVariables(3), •(3), SDL_SetEnvironmentVariable(3), •(3), SDL_UnsetEnvironmentVariable(3)